|  | Home · All Classes · Modules

# Phonon.MediaController.Features Class Reference
[phonon module]

### Methods

- __init__ (self, Features)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- Features __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, Features f)
- Features __iand__ (self, int mask)
- int __int__ (self)
- Features __invert__ (self)
- Features __ior__ (self, Features f)
- Features __ixor__ (self, Features f)
- bool __ne__ (self, Features f)
- Features __or__ (self, Features f)
- Features __xor__ (self, Features f)

## Detailed Description

Feature may be used whenever Features is expected.

## Method Documentation

### Features.__init__ (self, Features)

### Features.__init__ (self, int)

### Features.__init__ (self)

### Features Features.__and__ (self, int mask)

### int Features.__bool__ (self)

### bool Features.__eq__ (self, Features f)

### Features Features.__iand__ (self, int mask)

### int Features.__int__ (self)

### Features Features.__invert__ (self)

### Features Features.__ior__ (self, Features f)

### Features Features.__ixor__ (self, Features f)

### bool Features.__ne__ (self, Features f)

### Features Features.__or__ (self, Features f)

### Features Features.__xor__ (self, Features f)